# coding: UTF-8

from lan import Lan

#1秒でタイムアウト
Timeout_default = 1

def main():
    #Lan通信クラスのインスタンス化
    lan = Lan(Timeout_default)

    #接続
    print("IP?")
    IP = input()
    print("Port?")
    port = int(input())
    if not lan.open(IP, port):
        return
    
    #コマンド送受信
    while True:
        print("Please enter the command (Exit with no input)")
        command = input()
        #入力なしで終了
        if command == "":
            break
        #「?」が含まれるので送受信
        if "?" in command :
            msgBuf = lan.SendQueryMsg(command, Timeout_default)
            print(msgBuf) 
        #送信のみ
        else:
            lan.sendMsg(command)
        
    lan.close()

if __name__ == '__main__':
  main()
